Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceTimeRequest

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AceTimeRequest

All Implemented Interfaces:
  AceRequest

    public class AceTimeRequest

extends AbstractAceRequest
implements AceRequest

This represents a time request received from an agent. It acts as an AceTimeRequestResponse factory and provides an AceRequest interface for the packet handling classes. The Time Request is special in that no processRequest() function is needed. Since the TimeRequest is contained completely in the header, the method supplied by the AbstractAceRequest handles everything this request needs to do.

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AceTimeRequest(AceDatagram pkt)` Creates a new instance of AceTimeRequest from a datagram.
`AceTimeRequest(AgentConfig agentConfig)` Creates a new instance of AceTimeRequest.

Method Summary
`AceDatagram` | `getPacket()` Provides the original packet received from the agent.
`AceResponse` | `getResponse()` Get an AceResponse from this request.
`java.lang.String` | `toString()` String conversion method.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getProtocolVersion, getSecretKey, getWpCode, haveNodeSecret, haveSecretKey, processRequest, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getProtocolVersion, getWpCode, processRequest`

Constructor Detail

### AceTimeRequest

    public AceTimeRequest(AceDatagram pkt)
                   throws AcePacketException

  Creates a new instance of AceTimeRequest from a datagram. Since a time request has no body, only the AceRequestImpl class is needed.

  Parameters:
    `pkt` - The packet used to construct the request.
  Throws:
    `AcePacketException` - If an error occurs extracting the time request from the datagram.

### AceTimeRequest

    public AceTimeRequest(AgentConfig agentConfig)
                   throws AcePacketException

  Creates a new instance of AceTimeRequest. Since a time request has no body, only the AceRequestImpl class is needed.

  Throws:
    `AcePacketException` - If an error occurs constructing the header.

Method Detail

### getPacket

    public AceDatagram getPacket()
                          throws AcePacketException

  Provides the original packet received from the agent.

  Specified by:
    `getPacket` in interface `AceRequest`
  Overrides:
    `getPacket` in class `AbstractAceRequest`
  Returns:
    The original input packet.
  Throws:
    `AcePacketException`

### getResponse

    public AceResponse getResponse()
                            throws AcePacketException

  Get an AceResponse from this request. Construct a time response if one hasn't already been made. The time-response captures the server clock at construction.

  Specified by:
    `getResponse` in interface `AceRequest`
  Returns:
    An AceResponse with the time.
  Throws:
    `AcePacketException`

### toString

    public java.lang.String toString()

  String conversion method.

  Specified by:
    `toString` in interface `AceRequest`
  Overrides:
    `toString` in class `AbstractAceRequest`
  Returns:
    A String representation of the packet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.